package com.sun.corba.se.spi.activation;

import com.sun.corba.se.spi.activation.RepositoryPackage.ServerDef;

public interface RepositoryOperations
{
    public abstract int registerServer(ServerDef p0) throws ServerAlreadyRegistered, BadServerDefinition;
    
    public abstract void unregisterServer(int p0) throws ServerNotRegistered;
    
    public abstract ServerDef getServer(int p0) throws ServerNotRegistered;
    
    public abstract boolean isInstalled(int p0) throws ServerNotRegistered;
    
    public abstract void install(int p0) throws ServerNotRegistered, ServerAlreadyInstalled;
    
    public abstract void uninstall(int p0) throws ServerNotRegistered, ServerAlreadyUninstalled;
    
    public abstract int[] listRegisteredServers();
    
    public abstract String[] getApplicationNames();
    
    public abstract int getServerID(String p0) throws ServerNotRegistered;
}
